<?php

/**
 * @file
 * Provide Views data and handlers for moderation_team.module
 */


/**
 * Implements hook_views_default_views().
 */
function moderation_team_views_default_views() {

  $view = new view();
  $view->name = 'moderation_queue';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'mt_queue';
  $view->human_name = 'Moderation queue';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Moderation list';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'moderation queue list';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'nid' => 'nid',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'nid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'No list found.';
  $handler->display->display_options['empty']['area']['format'] = 'rich_text';
  /* Relationship: Moderation team table: NID */
  $handler->display->display_options['relationships']['nid']['id'] = 'nid';
  $handler->display->display_options['relationships']['nid']['table'] = 'mt_queue';
  $handler->display->display_options['relationships']['nid']['field'] = 'nid';
  /* Field: Moderation team table: NID */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'mt_queue';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Moderation team table: ID */
  $handler->display->display_options['fields']['id']['id'] = 'id';
  $handler->display->display_options['fields']['id']['table'] = 'mt_queue';
  $handler->display->display_options['fields']['id']['field'] = 'id';
  /* Field: Moderation team table: Queue */
  $handler->display->display_options['fields']['queue_id']['id'] = 'queue_id';
  $handler->display->display_options['fields']['queue_id']['table'] = 'mt_queue';
  $handler->display->display_options['fields']['queue_id']['field'] = 'queue_id';
  /* Field: Moderation team table: Timestamp field */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'mt_queue';
  $handler->display->display_options['fields']['created']['field'] = 'created';

  /* Display: Queue list */
  $handler = $view->new_display('page', 'Queue list', 'page');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Queue list';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Moderation team table: NID */
  $handler->display->display_options['relationships']['nid']['id'] = 'nid';
  $handler->display->display_options['relationships']['nid']['table'] = 'mt_queue';
  $handler->display->display_options['relationships']['nid']['field'] = 'nid';
  $handler->display->display_options['relationships']['nid']['required'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Moderation team table: Queue */
  $handler->display->display_options['fields']['queue_id']['id'] = 'queue_id';
  $handler->display->display_options['fields']['queue_id']['table'] = 'mt_queue';
  $handler->display->display_options['fields']['queue_id']['field'] = 'queue_id';
  /* Field: COUNT(DISTINCT Moderation team table: NID) */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'mt_queue';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['group_type'] = 'count_distinct';
  $handler->display->display_options['fields']['nid']['label'] = 'Count';
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = 'Action';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = 'View';
  $handler->display->display_options['fields']['nothing']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['nothing']['alter']['path'] = 'queue-list/[queue_id]';
  $handler->display->display_options['fields']['nothing']['alter']['absolute'] = TRUE;
  $handler->display->display_options['path'] = 'mt-queues';

  /* Display: Moderation list */
  $handler = $view->new_display('page', 'Moderation list', 'page_1');
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Moderation team table: NID */
  $handler->display->display_options['relationships']['nid']['id'] = 'nid';
  $handler->display->display_options['relationships']['nid']['table'] = 'mt_queue';
  $handler->display->display_options['relationships']['nid']['field'] = 'nid';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'nid';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['relationship'] = 'nid';
  $handler->display->display_options['fields']['edit_node']['label'] = 'Action';
  $handler->display->display_options['fields']['edit_node']['text'] = 'Edit';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['relationship'] = 'nid';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Moderation team table: Queue */
  $handler->display->display_options['arguments']['queue_id']['id'] = 'queue_id';
  $handler->display->display_options['arguments']['queue_id']['table'] = 'mt_queue';
  $handler->display->display_options['arguments']['queue_id']['field'] = 'queue_id';
  $handler->display->display_options['arguments']['queue_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['queue_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['queue_id']['default_argument_options']['argument'] = 'queue_id';
  $handler->display->display_options['arguments']['queue_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['queue_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['queue_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['path'] = 'queue-list';
  $translatables['moderation_queue'] = array(
    t('Master'),
    t('Moderation list'),
    t('more'),
    t('Apply'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('Items per page'),
    t('- All -'),
    t('Offset'),
    t('« first'),
    t('‹ previous'),
    t('next ›'),
    t('last »'),
    t('No list found.'),
    t('Example node'),
    t('NID'),
    t('.'),
    t(','),
    t('ID'),
    t('Queue'),
    t('Timestamp field'),
    t('Queue list'),
    t('Count'),
    t('Action'),
    t('View'),
    t('Title'),
    t('Edit'),
    t('All'),
  );

  $views[$view->name] = $view;

  return $views;
}